Bug 1121521 - Template: PGError: when template name exceeds 255 characters
Summary: Template: PGError: when template name exceeds 255 characters
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI
Version: 6.0.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: orabin
QA Contact: sthirugn@redhat.com
URL:
Whiteboard:
Depends On: 1120271
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-21 06:59 UTC by Sachin Ghai
Modified: 2014-09-11 12:19 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-11 12:19:39 UTC


Attachments (Terms of Use)
PgError when template name exceeds 255 characters (35.56 KB, image/png)
2014-07-21 06:59 UTC, Sachin Ghai
no flags Details

Description Sachin Ghai 2014-07-21 06:59:21 UTC
Created attachment 919540 [details]
PgError when template name exceeds 255 characters

Description of problem:
I was trying some boundary value tests and found that UI raises following error if the name of template exceeds 255 characters.

Error
PGError: ERROR: value too long for type character varying(255) : UPDATE "config_templates" SET "name" = 'ojJELjrEfavaKHSkSDTncoiqjwik12345yyteyNSBmqcshsFlNcAsGExwayeTXjFOQmXTuVNWCotNUBMbiJmDKtsPtLnXqYJSjTUyNIlSNAAucqVkKXGFrViwyGLTRnqqBaLuGskexxWkYHTLHdLFMEXTmRLiGZgvkTGGmqGEKpGwzEOerEAbVJWBLaKytzydTwJcIQOUdBxowqKqIUSJKZkYHwUzkPWGjQMkpdpadzBctjvjBMDmpfPYurKybz1', "updated_at" = '2014-07-21 01:14:25.296053' WHERE "config_templates"."id" = 44

Version-Release number of selected component (if applicable):
sat6 GA snap1

How reproducible:
always

Steps to Reproduce:
1. create template with name having more than 255 char
2.
3.

Actual results:
PGError: ERROR: value too long for type character varying(255) : UPDATE "config_templates" SET "name" = 

Expected results:
UI should throw proper validation error message

Additional info:

Logs from production.log:


Processing by ConfigTemplatesController#update as */*
  Parameters: {"utf8"=>"✓", "search"=>"", "authenticity_token"=>"CLZgGQh3Z80gTOE6iG1eaDPvDAf4ISpF73pxHLoz0K4=", "config_template"=>{"name"=>"ojJELjrEfavaKHSkSDTncoiqjwik123415yyteyNSBmqcshsFlNcAsGExwayeTXjFOQmXTuVNWCotNUBMbiJmDKtsPtLnXqYJSjTUyNIlSNAAucqVkKXGFrViwyGLTRnqqBaLuGskexxWkYHTLHdLFMEXTmRLiGZgvkTGGmqGEKpGwzEOerEAbVJWBLaKytzydTwJcIQOUdBxowqKqIUSJKZkYHwUzkPWGjQMkpdpadzBctjvjBMDmpfPYurKybz", "template"=>"test", "audit_comment"=>"", "snippet"=>"0", "template_kind_id"=>"1", "operatingsystem_ids"=>["", "", "", ""]}, "keybinding"=>"Default", "id"=>"44-ojjeljrefavakhsksdtncoiqjwik12345yyteynsbmqcshsflncasgexwayetxjfoqmxtuvnwcotnubmbijmdktsptlnxqyjsjtuynilsnaaucqvkkxgfrviwygltrnqqbalugskexxwkyhtlhdlfmextmrligzgvktggmqgekpgwzeoereabvjwblakytzydtwjciqoudbxowqkqiusjkzkyhwuzkpwgjqmkpdpadzbctjvjbmdmpfpyurkybz"}
Operation FAILED: PGError: ERROR:  value too long for type character varying(255)
: UPDATE "config_templates" SET "name" = 'ojJELjrEfavaKHSkSDTncoiqjwik123415yyteyNSBmqcshsFlNcAsGExwayeTXjFOQmXTuVNWCotNUBMbiJmDKtsPtLnXqYJSjTUyNIlSNAAucqVkKXGFrViwyGLTRnqqBaLuGskexxWkYHTLHdLFMEXTmRLiGZgvkTGGmqGEKpGwzEOerEAbVJWBLaKytzydTwJcIQOUdBxowqKqIUSJKZkYHwUzkPWGjQMkpdpadzBctjvjBMDmpfPYurKybz', "updated_at" = '2014-07-21 01:18:20.275589' WHERE "config_templates"."id" = 44
  Rendered common/500.html.erb (5.4ms)
Completed 500 Internal Server Error in 28ms (Views: 6.0ms | ActiveRecord: 2.8ms)

Comment 2 orabin 2014-08-05 15:39:08 UTC
see 1120199

Comment 4 sthirugn@redhat.com 2014-08-08 14:24:55 UTC
Verified.

Now I get an error when trying to add a name with more than 255 characters: is too long (maximum is 255 characters)

Version Tested:
GA Snap 4 - Satellite-6.0.4-RHEL-6-20140806.0

* apr-util-ldap-1.3.9-3.el6_0.1.x86_64
* candlepin-0.9.19-1.el6_5.noarch
* candlepin-scl-1-5.el6_4.noarch
* candlepin-scl-quartz-2.1.5-5.el6_4.noarch
* candlepin-scl-rhino-1.7R3-1.el6_4.noarch
* candlepin-scl-runtime-1-5.el6_4.noarch
* candlepin-selinux-0.9.19-1.el6_5.noarch
* candlepin-tomcat6-0.9.19-1.el6_5.noarch
* elasticsearch-0.90.10-4.el6sat.noarch
* foreman-1.6.0.38-1.el6sat.noarch
* foreman-compute-1.6.0.38-1.el6sat.noarch
* foreman-gce-1.6.0.38-1.el6sat.noarch
* foreman-libvirt-1.6.0.38-1.el6sat.noarch
* foreman-ovirt-1.6.0.38-1.el6sat.noarch
* foreman-postgresql-1.6.0.38-1.el6sat.noarch
* foreman-proxy-1.6.0.23-1.el6sat.noarch
* foreman-selinux-1.6.0.4-1.el6sat.noarch
* foreman-vmware-1.6.0.38-1.el6sat.noarch
* katello-1.5.0-28.el6sat.noarch
* katello-ca-1.0-1.noarch
* katello-certs-tools-1.5.6-1.el6sat.noarch
* katello-installer-0.0.57-1.el6sat.noarch
* openldap-2.4.23-34.el6_5.1.x86_64
* pulp-katello-0.3-3.el6sat.noarch
* pulp-nodes-common-2.4.0-0.30.beta.el6sat.noarch
* pulp-nodes-parent-2.4.0-0.30.beta.el6sat.noarch
* pulp-puppet-plugins-2.4.0-0.30.beta.el6sat.noarch
* pulp-puppet-tools-2.4.0-0.30.beta.el6sat.noarch
* pulp-rpm-plugins-2.4.0-0.30.beta.el6sat.noarch
* pulp-selinux-2.4.0-0.30.beta.el6sat.noarch
* pulp-server-2.4.0-0.30.beta.el6sat.noarch
* python-ldap-2.3.10-1.el6.x86_64
* ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch
* ruby193-rubygem-runcible-1.1.0-2.el6sat.noarch
* sssd-ldap-1.11.5.1-3.el6.x86_64

Comment 6 Bryan Kearney 2014-09-11 12:19:39 UTC
This was delivered with Satellite 6.0 which was released on 10 September 2014.


Note You need to log in before you can comment on or make changes to this bug.